package org.jboss.cache.buddyreplication;

import org.jboss.cache.Fqn;
import org.jboss.cache.TreeCache;
import org.jboss.cache.misc.TestingUtil;

import java.util.ArrayList;

/**
 * Test added to replicate a found issue - JBCACHE-1241
 *
 * @author Mircea.Markus@jboss.com
 */
public class RemoveRootBuddyTest extends BuddyReplicationTestsBase
{
   TreeCache cache1, cache2;

   protected void setUp() throws Exception
   {
      cache1 = createCache(false, 1, "myBuddyPoolReplicationGroup", false, true, true);
      cache2 = createCache(false, 1, "myBuddyPoolReplicationGroup", false, true, true);

      TestingUtil.blockUntilViewsReceived(new TreeCache[]{cache1, cache2}, 60000);
   }

   protected void tearDown()
   {
      cache1.stop();
      cache2.stop();
   }

   public void testRemoveRootNode() throws Exception
   {
      int opCount = 10;
      for (int i = 0; i < opCount; i++)
      {
         String key = String.valueOf(opCount);
         String value = String.valueOf(opCount);
         Fqn f = Fqn.fromString("/test" + key);
         cache1.put(f, key, value);
      }
      cache1.remove(Fqn.ROOT);
   }
}
